[Stable Update i686] 2018-12-17 - KDE framework, Thunderbird, WINE, Calamares, NEW INSTALLER IMAGE!

update
stable
manjaro32

#1

Hello i686ers!

This is a fairly small update set which updates KDE framework packages, Thunderbird, and WINE.

The main reason for this release is that I fixed some build issues so I can actually spin a new installer image. Hooray!

Also, ker… wait a second. No kernel updates? :exploding_head:


Anyone who would like to help out testing the upstream packages, please read the archlinux32 thread for details about how they automate their testing process and how to get involved:

https://bbs.archlinux32.org/viewtopic.php?id=171

(running this in an archlinux32 VM would be fine, there will hopefully be a way of doing this directly from within manjaro32 in the future)


Available kernels

Series Version PAE
linux316 3.16.61 No
linux318 3.18.128 No
linux44 4.4.166 No
linux49 4.9.144 No
linux414 4.14.87 No
linux419 4.19.8 Yes

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

Wait… what? A new image? Whoa.

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

Full list of changes

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
             ca-certificates-mozilla             3.40-2.0           3.40.1-1.0
                                curl           7.62.0-1.0           7.63.0-1.0
                       device-mapper         2.02.182-1.0         2.02.183-1.0
                           logrotate           3.14.0-1.6           3.15.0-1.0
                                lvm2         2.02.182-1.0         2.02.183-1.0
                                 nss             3.40-2.0           3.40.1-1.0
                                perl           5.28.0-1.6           5.28.1-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                           calamares              3.2.0-5            3.2.2.6-1
                       calamares-git3.2.2.r4845.15eaff15f-13.2.3.r5162.64e8295f8-1
                            chromium       71.0.3578.80-0                    -
                         kinfocenter             5.14.3-1             5.14.4-1
                   linux318-catalyst     1:15.201.1151-55     1:15.201.1151-56
                  linux414-acpi_call             1.1.0-68             1.1.0-70
                    linux44-catalyst    1:15.201.1151-114    1:15.201.1151-116
                   linux49-acpi_call          1.1.0-105.0            1.1.0-106
                    linux49-catalyst    1:15.201.1151-101    1:15.201.1151-106
                       manjaro-hello              0.6.0-1              0.6.1-1
                     optimus-manager                0.4-1                0.5-1
                               pamac              7.3.1-4              7.3.3-1
             pamac-tray-appindicator              7.3.1-4              7.3.3-1
                            pythonqt                3.2-4              3.2-6.0
                         thunar-gtk3              1.8.2-4              1.8.2-6
                    xfce4-panel-gtk3            4.13.3-14            4.13.3-17
                 xfce4-settings-gtk3             4.13.5-6             4.13.5-7
                              polkit                    -  0.115+24+g5230646-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
            archlinux-appstream-data         20181117-1.0         20181214-1.0
                              attica           5.51.0-1.1           5.52.0-1.0
                        avogadrolibs           1.91.0-1.1           1.92.0-1.2
                               baloo           5.51.0-1.0           5.52.0-1.0
                         bdf-unifont          11.0.02-1.0          11.0.03-1.0
                            bluez-qt           5.51.0-1.1           5.52.0-1.0
                            chromium    70.0.3538.110-1.0     71.0.3578.80-1.0
                               dconf           0.30.0-1.0           0.30.1-1.0
                               eigen            3.3.5-3.0            3.3.7-1.0
                             firefox           63.0.3-1.0           63.0.3-1.1
                frameworkintegration           5.51.0-1.0           5.52.0-1.0
                        gnome-tweaks           3.30.1-1.0           3.30.2-1.0
                             gphoto2           2.5.17-1.1           2.5.20-1.0
                     grml-zsh-config           0.15.1-1.0           0.15.2-1.0
                 ibus-typing-booster            2.1.2-1.0            2.3.1-1.0
                        imagemagick6        6.9.10.14-1.0        6.9.10.15-1.0
                         kactivities           5.51.0-1.2           5.52.0-1.0
                   kactivities-stats           5.51.0-1.3           5.52.0-1.0
                             kapidox           5.52.0-1.0           5.53.0-1.0
                            karchive           5.51.0-1.0           5.52.0-1.0
                               kauth           5.51.0-1.1           5.52.0-1.0
                          kbookmarks           5.51.0-1.0           5.52.0-1.0
                            kcalcore          18.08.3-1.0          18.08.3-1.1
                            kcmutils           5.51.0-1.0           5.52.0-1.0
                             kcodecs           5.51.0-1.0           5.52.0-1.0
                         kcompletion           5.51.0-1.1           5.52.0-1.0
                             kconfig           5.51.0-1.0           5.52.0-1.0
                      kconfigwidgets           5.51.0-1.1           5.52.0-1.0
                           kcontacts          18.08.3-1.0          18.08.3-1.1
                         kcoreaddons           5.51.0-1.0           5.52.0-1.0
                              kcrash           5.51.0-1.1           5.52.0-1.0
                         kdbusaddons           5.51.0-1.0           5.52.0-1.0
                     kde-dev-scripts          18.08.3-1.0          18.12.0-1.0
                        kdeclarative           5.51.0-1.0           5.52.0-1.0
                                kded           5.51.0-1.0           5.52.0-1.0
                         kdeedu-data          18.08.3-1.0          18.12.0-1.0
                     kdelibs4support           5.51.0-1.0           5.52.0-1.0
                     kdesignerplugin           5.51.0-1.0           5.52.0-1.0
                               kdesu           5.51.0-1.1           5.52.0-1.0
                           kdewebkit           5.51.0-1.0           5.52.0-1.0
                              kdnssd           5.51.0-1.0           5.52.0-1.0
                           kdoctools           5.51.0-1.1           5.52.0-1.0
                          kemoticons           5.51.0-1.0           5.52.0-1.0
                       kfilemetadata           5.51.0-1.0           5.52.0-1.0
                        kglobalaccel           5.51.0-1.1           5.52.0-1.0
                          kguiaddons           5.51.0-1.1           5.52.0-1.0
                           kholidays         1:5.51.0-1.0         1:5.52.0-1.0
                               khtml           5.51.0-1.0           5.52.0-1.0
                               ki18n           5.51.0-1.0           5.52.0-1.0
                         kiconthemes           5.51.0-2.0           5.52.0-1.0
                           kidletime           5.51.0-1.0           5.52.0-1.0
                       kimageformats           5.51.0-1.0           5.52.0-1.0
                               kinit           5.51.0-1.0           5.52.0-1.0
                                 kio           5.51.0-1.0           5.52.0-1.0
                          kio-extras          18.08.3-1.0          18.08.3-2.0
                           kirigami2           5.51.0-1.0           5.52.0-1.0
                         kitemmodels           5.51.0-1.0           5.52.0-1.0
                          kitemviews           5.51.0-1.1           5.52.0-1.0
                         kjobwidgets           5.51.0-1.0           5.52.0-1.0
                                 kjs           5.51.0-1.1           5.52.0-1.0
                            kjsembed           5.51.0-1.0           5.52.0-1.0
                        kmediaplayer           5.51.0-1.0           5.52.0-1.0
                          kmousetool          18.08.2-1.0          18.08.3-1.0
                           knewstuff           5.51.0-1.0           5.52.0-1.0
                      knotifications           5.51.0-1.0           5.52.0-1.0
                       knotifyconfig           5.51.0-1.0           5.52.0-1.0
                            kpackage           5.51.0-1.1           5.52.0-1.0
                              kparts           5.51.0-1.0           5.52.0-1.0
                             kpeople           5.51.0-1.1           5.52.0-1.0
                           kplotting           5.51.0-1.1           5.52.0-1.0
                                kpty           5.51.0-1.1           5.52.0-1.0
                      kqtquickcharts          18.08.2-1.0          18.08.3-1.0
                               kross           5.51.0-1.0           5.52.0-1.0
                              kruler          18.08.2-1.0          18.08.3-1.0
                             krunner           5.51.0-1.0           5.52.0-1.0
                            kservice           5.51.0-1.0           5.52.0-1.0
                         ktexteditor           5.51.0-1.0           5.52.0-1.0
                        ktextwidgets           5.51.0-1.1           5.52.0-1.0
                     kunitconversion           5.51.0-1.1           5.52.0-1.0
                             kwallet           5.51.0-1.0           5.52.0-1.0
                            kwayland           5.51.0-1.0           5.52.0-1.0
                      kwidgetsaddons           5.51.0-1.0           5.52.0-1.0
                                kwin           5.14.3-1.0           5.14.4-1.0
                       kwindowsystem           5.51.0-1.0           5.52.0-1.0
                             kxmlgui           5.51.0-1.0           5.52.0-1.0
                       kxmlrpcclient           5.51.0-1.0           5.52.0-1.0
                          libgphoto2           2.5.19-1.1           2.5.20-1.0
                           libkdcraw          18.08.3-1.0          18.08.3-1.1
                             libkipi          18.08.3-1.0          18.08.3-1.1
                          libmagick6        6.9.10.14-1.0        6.9.10.15-1.0
               libnautilus-extension3.30.0+20+gce52f6493-1.0           3.30.4-1.0
                          libxnvctrl           415.18-1.0           415.22-1.0
                               meson           0.48.2-1.0           0.49.0-1.0
                     modemmanager-qt           5.51.0-1.1           5.52.0-1.0
                            nautilus3.30.0+20+gce52f6493-1.0           3.30.4-1.0
                   networkmanager-qt           5.51.0-1.0           5.52.0-1.0
                    plasma-framework           5.51.0-1.0           5.52.0-1.0
                  plasma-integration           5.14.3-1.0           5.14.4-1.0
                              prison           5.51.0-1.0           5.52.0-1.0
                             purpose           5.51.0-1.0           5.52.0-1.0
             python-service-identity           17.0.0-2.0           18.1.0-1.0
                   python-setuptools         1:40.6.2-1.0         1:40.6.3-1.0
            python2-service-identity           17.0.0-2.0           18.1.0-1.0
                  python2-setuptools         1:40.6.2-1.0         1:40.6.3-1.0
                  qqc2-desktop-style           5.51.0-1.1           5.52.0-1.0
                               solid           5.51.0-1.0           5.52.0-1.0
                         syndication           5.51.0-1.0           5.52.0-1.0
                 syntax-highlighting           5.51.0-1.1           5.52.0-1.0
              telepathy-kde-approver          18.08.2-1.0          18.08.3-1.0
                        threadweaver           5.51.0-1.1           5.52.0-1.0
                         thunderbird           60.3.1-2.0           60.3.3-1.0
                          webkit2gtk           2.22.3-1.0           2.22.4-1.0
                                 fmt                    -            5.2.1-2.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                   budgie-wallpapers           20171212-1           20181216-1
                            cinnamon            4.0.5-1.1            4.0.7-1.1
                 deepin-desktop-base        2:2018.5.15-1       2:2018.12.13-1
      deepin-desktop-schemas-manjaro              3.6.0-1              3.7.0-1
             manjaro-budgie-settings           20180819-1           20181216-1
                    matcha-gtk-theme           20181113-1           20181211-1
                               pacui               1.11-1               1.12-1
                                 xed              1.8.3-1              2.0.1-1
              manjaro-theme-settings                    -           20181216-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-171.0          1.1.0-174.0
                            afpfs-ng           0.8.1-11.1           0.8.1-12.0
                           alacritty            0.2.2-1.0            0.2.3-2.0
                  alacritty-terminfo            0.2.2-1.0            0.2.3-2.0
                           auditbeat            6.4.3-1.0            6.5.2-1.0
                             aws-cli          1.16.62-1.0          1.16.72-1.0
                           blueberry            1.2.3-1.1            1.2.5-1.0
                         broadcom-wl    6.30.223.271-58.0    6.30.223.271-61.0
                             ccd2iso              0.3-9.2              0.3-9.3
                  certbot-dns-linode           0.29.0-1.0           0.29.1-1.0
                                 cfv           1.18.3-7.0           1.18.3-7.1
                          cherrytree           0.38.5-1.0           0.38.6-1.0
                            cinnamon            4.0.3-1.0            4.0.5-1.0
               cinnamon-translations            4.0.1-1.1            4.0.2-1.0
                            clipmenu            5.5.0-1.2            5.6.0-1.0
                          clusterssh           4.13.2-1.2        4.13.2_01-1.0
                           colordiff           1.0.18-1.1           1.0.18-2.1
                              cython           0.29.1-1.0           0.29.2-1.0
                             cython2           0.29.1-1.0           0.29.2-1.0
                          deepin-api            3.8.0-1.0           3.11.0-1.0
         deepin-community-wallpapers          1:1.7.5-2.0          1:1.7.6-1.0
                 deepin-desktop-base     1:2018.10.29-1.0     2:2018.10.29-1.0
              deepin-desktop-schemas            3.6.0-1.0            3.8.0-1.0
              deepin-go-dbus-factory            0.1.0-1.0            0.2.0-1.0
                       deepin-go-lib            1.5.0-1.0            1.6.0-1.0
                 deepin-image-viewer            1.3.1-1.0            1.3.5-1.0
                        deepin-movie         1:3.2.16-1.0       1:3.2.16.1-1.0
                deepin-network-utils            0.0.6-1.0            0.0.8-1.0
              deepin-qt-dbus-factory            1.0.4-2.0            1.0.6-1.0
               deepin-qt5dxcb-plugin           1.1.12-1.0           1.1.15-1.0
               deepin-qt5integration            0.3.6-1.0            0.3.7-1.0
                   deepin-wallpapers          1:1.7.5-2.0          1:1.7.6-1.0
                          displaycal          3.7.1.1-1.0          3.7.1.2-1.0
                             dtkcore        1:2.0.9.5-1.0        1:2.0.9.9-1.0
                           dtkwidget          2.0.9.8-1.0         2.0.9.10-1.0
                       elasticsearch            6.5.2-1.0            6.5.3-1.0
                              elixir            1.7.3-1.0            1.7.4-1.0
                              erlang           21.1.1-1.0           21.1.3-1.0
                     erlang-unixodbc           21.1.1-1.0           21.1.3-1.0
                           etckeeper           1.18.8-1.0           1.18.9-1.0
                           exploitdb         20181122-1.0         20181215-1.0
                           fcitx-qt5            1.2.3-3.0            1.2.3-3.1
                            filebeat            6.4.3-1.0            6.5.2-1.0
                           firewalld            0.6.3-1.4            0.6.3-2.0
                                gcin            2.8.6-3.0            2.8.6-4.0
                              glider            0.6.8-1.1            0.6.9-1.0
                        gnucash-docs              3.2-1.0              3.3-1.0
                                  go         2:1.11.2-1.0         2:1.11.2-2.0
                              go-pie         2:1.11.2-1.0         2:1.11.2-2.0
                               guake            3.3.2-2.0            3.4.0-1.0
                   heartbeat-elastic            6.4.3-1.0            6.5.2-1.0
                        intel-gmmlib           18.3.0-1.1           18.4.0-1.0
                             jenkins            2.154-1.0            2.155-1.0
                              kibana            6.5.2-1.0            6.5.3-1.0
               kvantum-theme-materia         20180904-1.0         20181212-1.0
                               lldpd            1.0.2-1.0            1.0.2-2.0
                            logstash            6.4.3-1.0            6.5.2-1.0
                                 lxc          1:3.0.3-1.0          1:3.1.0-1.0
                         materia-kde         20180904-1.0         20181212-1.0
                          metricbeat            6.4.3-1.0            6.5.2-1.0
                              muffin            4.0.3-1.0            4.0.4-1.0
                                nemo            4.0.3-1.0            4.0.4-1.0
                           nextcloud           14.0.4-1.0           15.0.0-1.0
             nextcloud-app-bookmarks         1:0.14.2-1.0         1:0.14.3-1.0
              nextcloud-app-contacts            2.1.8-1.0            3.0.0-1.0
                nextcloud-app-spreed            4.0.1-2.0            5.0.0-1.0
                      nginx-mainline           1.15.6-1.0           1.15.7-1.0
                  nodejs-lts-dubnium          10.13.0-1.3          10.14.1-1.0
                                 npm            6.4.1-2.0            6.5.0-1.0
                             openbve          1.5.3.8-1.0         1.5.3.11-1.0
                            opensips            2.4.2-1.0            2.4.3-1.0
                           osinfo-db         20181203-1.0         20181214-1.0
                          packetbeat            6.4.3-1.0            6.5.2-1.0
                  perl-list-allutils             0.14-4.1             0.15-1.0
                perl-module-scandeps             1.25-1.1             1.26-1.0
                         perl-specio             0.42-1.1             0.43-1.0
                          phpmyadmin            4.8.3-1.0            4.8.4-1.0
                              pifpaf            2.1.2-1.0            2.2.0-1.0
                                 pm2            3.2.2-1.0            3.2.3-1.0
                                po4a             0.54-1.1             0.55-1.0
                            psi-l10n              1.3-4.2              1.4-1.0
                      python-awkward            0.5.6-1.0            0.7.0-1.0
                        python-boto3           1.9.52-1.0           1.9.62-1.0
                     python-botocore          1.12.52-1.0          1.12.62-1.0
                       python-bottle          0.12.15-1.0          0.12.16-1.0
                    python-braintree           3.49.0-1.0           3.50.0-1.0
             python-diff-match-patch         20121119-4.0         20181111-1.0
                    python-dnspython           1.15.0-3.0           1.16.0-1.0
                python-dogpile.cache            0.6.8-1.0            0.7.1-1.0
                        python-faker            1.0.0-1.0            1.0.1-1.0
                 python-glanceclient           2.14.0-1.0           2.15.0-1.0
                   python-hypothesis           3.82.5-1.0           3.83.1-1.0
                       python-ifaddr            0.1.5-1.0            0.1.6-1.0
               python-jupyter_client            5.2.3-1.0            5.2.4-1.0
                    python-localzone            0.9.4-1.0            0.9.5-1.0
                          python-lz4            2.1.1-1.0            2.1.2-1.0
              python-memory-profiler             0.54-1.0             0.55-1.0
                       python-mpmath            1.0.0-2.1            1.1.0-1.0
                       python-owslib           0.16.0-3.0           0.17.0-3.0
                    python-pycountry          18.5.26-3.0          18.12.8-1.0
                        python-pyjwt            1.6.4-2.0            1.7.1-1.0
                       python-pytest            4.0.1-1.0            4.0.2-1.0
                 python-pytest-xdist           1.24.1-1.0           1.25.0-1.0
                      python-testflo            1.3.3-1.0            1.3.4-1.0
                       python2-boto3           1.9.52-1.0           1.9.62-1.0
                    python2-botocore          1.12.52-1.0          1.12.62-1.0
                      python2-bottle          0.12.15-1.0          0.12.16-1.0
                   python2-braintree           3.49.0-1.0           3.50.0-1.0
                   python2-dnspython           1.15.0-3.0           1.16.0-1.0
               python2-dogpile.cache            0.6.8-1.0            0.7.1-1.0
                       python2-faker            1.0.0-1.0            1.0.1-1.0
                python2-glanceclient           2.14.0-1.0           2.15.0-1.0
                  python2-hypothesis           3.82.5-1.0           3.83.1-1.0
              python2-jupyter_client            5.2.3-1.0            5.2.4-1.0
                         python2-lz4            2.1.1-1.0            2.1.2-1.0
                      python2-mpmath            1.0.0-2.1            1.1.0-1.0
                      python2-owslib           0.16.0-3.0           0.17.0-3.0
                      python2-pifpaf            2.1.2-1.0            2.2.0-1.0
                   python2-pycountry          18.5.26-3.0          18.12.8-1.0
                       python2-pyjwt            1.6.4-2.0            1.7.1-1.0
                      python2-pytest            4.0.1-1.0            4.0.2-1.0
                python2-pytest-xdist           1.24.1-1.0           1.25.0-1.0
                                qcad        3.21.3.10-1.0        3.21.3.11-1.0
                        rust-bindgen           0.42.2-1.0           0.44.0-1.0
                              rustup           1.13.0-3.0           1.15.0-1.0
                         shadowsocks            2.9.1-2.1  3.0.0a.20180219-1.0
                           shorewall          5.2.1.2-1.0          5.2.1.3-1.0
                      shorewall-core          5.2.1.2-1.0          5.2.1.3-1.0
                          shorewall6          5.2.1.2-1.0          5.2.1.3-1.0
                    simutrans-pak128                2.7-1            2.8.1-1.0
                     simutrans-pak64            120.3-1.0          120.4.1-1.0
                             skrooge           2.15.0-2.0           2.16.2-1.0
          sugar-activity-imageviewer               63-2.0               65-1.0
              sugar-activity-jukebox               33-1.1               34-1.0
                  sugar-activity-log               38-1.1               39-1.0
                sugar-activity-paint               67-1.0               68-1.0
                           transcode           1.1.7-28.0           1.1.7-29.0
                        ttf-ionicons            4.4.7-1.0            4.5.0-1.0
                               uwsgi         2.0.17.1-4.1         2.0.17.1-5.0
                    uwsgi-plugin-cgi         2.0.17.1-4.1         2.0.17.1-5.0
                    uwsgi-plugin-jvm         2.0.17.1-4.1         2.0.17.1-5.0
                  uwsgi-plugin-lua51         2.0.17.1-4.1         2.0.17.1-5.0
                   uwsgi-plugin-mono         2.0.17.1-4.1         2.0.17.1-5.0
               uwsgi-plugin-notfound         2.0.17.1-4.1         2.0.17.1-5.0
                    uwsgi-plugin-php         2.0.17.1-4.1         2.0.17.1-5.0
                   uwsgi-plugin-psgi         2.0.17.1-4.1         2.0.17.1-5.0
                   uwsgi-plugin-pypy         2.0.17.1-4.1         2.0.17.1-5.0
                 uwsgi-plugin-python         2.0.17.1-4.1         2.0.17.1-5.0
                uwsgi-plugin-python2         2.0.17.1-4.1         2.0.17.1-5.0
                   uwsgi-plugin-rack         2.0.17.1-4.1         2.0.17.1-5.0
                 uwsgi-plugin-webdav         2.0.17.1-4.1         2.0.17.1-5.0
                 uwsgi-plugin-zabbix         2.0.17.1-4.1         2.0.17.1-5.0
                               v2ray            4.7.3-1.0            4.8.0-1.0
                                wine             3.19-1.0           4.0rc1-1.0
                           wxsqlite3            4.2.0-1.0            4.3.0-1.0
                               xonsh            0.8.3-1.0            0.8.4-1.1
                          youtube-dl       2018.12.03-2.0       2018.12.09-1.0
                             acme.sh                    -            2.7.9-1.0
                            buildbot                    -            1.6.0-2.0

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



[Testing Update i686] 2018-12-11 to 16 - KDE framework, Thunderbird, WINE
#2

Known issues and solutions

This is a wiki post; please edit as necessary.


#3

Looks good execpt I tried to build with the 419 kernel which is in the i686 repos and when Manjaro tools got to the mhwd packages it was missing most of them so I used the 414 kernel instead but I really preferred the 419 one


#4

Update on 1 System and 1 VB without Problems.

Dk3


#5

Awesome to see new installer images for the 32-bit project! Keep it up!


#6

System doesn’t start with 4.19.8, i’ll keep using 4.14 for now.

These are the last lines where it hanged after few minutes of trying to connect NetworkManager:

Dec 26 11:32:29 5-2 systemd[1]: Reached target Login Prompts.
634 Dec 26 11:32:29 5-2 systemd[1]: Created slice system-systemd\x2dfsck.slice.
635 Dec 26 11:32:29 5-2 kernel: EXT4-fs (sda8): re-mounted. Opts: (null)
636 Dec 26 11:32:29 5-2 kernel: audit: type=1130 audit(1545816749.939:2): pid=1 uid=0
   auid=4294967295 ses=4294967295 msg=‘unit=systemd-journald comm=“systemd”
   exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success’
637 Dec 26 11:32:30 5-2 kernel: audit: type=1130 audit(1545816750.026:3): pid=1 uid=0
   auid=4294967295 ses=4294967295 msg=‘unit=kmod-static-nodes comm=“systemd”
   exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success’
638 Dec 26 11:32:30 5-2 kernel: audit: type=1130 audit(1545816750.236:4): pid=1 uid=0
   auid=4294967295 ses=4294967295 msg=‘unit=systemd-random-seed comm=“systemd”
   exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success’

Doesn’t boot:
journalctl -k --boot=-1 -p warning

– Logs begin at Wed 2018-02-21 10:26:15 EET, end at Wed 2018-12-26 12:00:47 EET. –
Dec 26 11:32:29 5-2 kernel: ACPI: BIOS bug: multiple APIC/MADT found, using 0
Dec 26 11:32:29 5-2 kernel: ACPI: If “acpi_apic_instance=2” works better, notify linux-acpi
@vger.kernel.org
Dec 26 11:32:29 5-2 kernel: pci 0000:00:1d.7: EHCI: BIOS handoff failed (BIOS bug?) 0101000
1
Dec 26 11:32:29 5-2 kernel: blkcg_policy_register: BLKCG_MAX_POLS too small
Dec 26 11:32:29 5-2 kernel: ACPI Error: Could not enable SleepButton event (20180810/evxfev
nt-184)                                                                                     
Dec 26 11:32:29 5-2 kernel: ACPI Warning: Could not enable fixed event - SleepButton (3) (2
0180810/evxface-620)
Dec 26 11:32:29 5-2 kernel: button: probe of LNXSLPBN:00 failed with error -22
Dec 26 11:32:29 5-2 kernel: Unstable clock detected, switching default tracing clock to “gl
obal”
                           If you want to keep using the local clock, then add:
                             “trace_clock=local”
                           on the kernel command line
Dec 26 11:32:29 5-2 systemd-fstab-generator[201]: x-systemd.device-timeout ignored for //10
.0.1.2/общая
Dec 26 11:32:29 5-2 systemd-fstab-generator[201]: x-systemd.device-timeout ignored for //10
.0.1.2/Install

Boots just fine:
journalctl -k -b -p warning

       
– Logs begin at Wed 2018-02-21 10:26:15 EET, end at Wed 2018-12-26 12:02:14 EET. –
Dec 26 11:36:51 5-2 kernel: ACPI: BIOS bug: multiple APIC/MADT found, using 0
Dec 26 11:36:51 5-2 kernel: ACPI: If “acpi_apic_instance=2” works better, notify linux-acpi
@vger.kernel.org
Dec 26 11:36:51 5-2 kernel: L1TF: Kernel not compiled for PAE. No mitigation for L1TF
Dec 26 11:36:51 5-2 kernel: pci 0000:00:1d.7: EHCI: BIOS handoff failed (BIOS bug?) 0101000
1
Dec 26 11:36:51 5-2 systemd-fstab-generator[187]: x-systemd.device-timeout ignored for //10
.0.1.2/общая
Dec 26 11:36:51 5-2 systemd-fstab-generator[187]: x-systemd.device-timeout ignored for //10
.0.1.2/Install
Dec 26 11:36:54 5-2 kernel: ACPI Error: Could not enable SleepButton event (20170728/evxfev
nt-218)                                                                                     
Dec 26 11:36:54 5-2 kernel: ACPI Warning: Could not enable fixed event - SleepButton (3) (2
0170728/evxface-654)
Dec 26 11:36:54 5-2 kernel: button: probe of LNXSLPBN:00 failed with error -22
Dec 26 11:36:54 5-2 kernel: acpi PNP0C14:01: duplicate WMI GUID 05901221-D566-11D1-B2F0-00A
0C9062910 (first instance was on PNP0C14:00)
Dec 26 11:36:55 5-2 kernel: (NULL device *): hwmon_device_register() is deprecated. Please
convert the driver to use hwmon_device_register_with_info().
Dec 26 11:36:55 5-2 kernel: ACPI Warning: SystemIO range 0x0000000000001028-0x0000000000001
02F conflicts with OpRegion 0x0000000000001000-0x000000000000107F (\PMIO) (20170728/utaddre
ss-247)
Dec 26 11:36:55 5-2 kernel: ACPI Warning: SystemIO range 0x00000000000011B0-0x0000000000001
1BF conflicts with OpRegion 0x0000000000001180-0x00000000000011BB (\GPIO) (20170728/utaddre
ss-247)
Dec 26 11:36:55 5-2 kernel: ACPI Warning: SystemIO range 0x0000000000001180-0x0000000000001
1AF conflicts with OpRegion 0x0000000000001180-0x00000000000011BB (\GPIO) (20170728/utaddre
ss-247)
Dec 26 11:36:55 5-2 kernel: lpc_ich: Resource conflict(s) found affecting gpio_ich
Dec 26 11:37:44 5-2 kernel: No dialect specified on mount. Default has changed to a more se
cure dialect, SMB2.1 or later (e.g. SMB3), from CIFS (SMB1). To use the less secure SMB1 di
alect to access old servers which do not support SMB3 (or SMB2.1) specify vers=1.0 on mount
.
Dec 26 11:37:44 5-2 kernel: CIFS VFS: ioctl error in smb2_get_dfs_refer rc=-2
Dec 26 11:39:27 5-2 kernel: No dialect specified on mount. Default has changed to a more se
cure dialect, SMB2.1 or later (e.g. SMB3), from CIFS (SMB1). To use the less secure SMB1 di
alect to access old servers which do not support SMB3 (or SMB2.1) specify vers=1.0 on mount
.
Dec 26 11:39:27 5-2 kernel: CIFS VFS: ioctl error in smb2_get_dfs_refer rc=-2


#7

4.19 enables PAE. If your CPU doesn’t support PAE then you’ll have to keep 4.14.


#8

It supports pae.

flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx constant_tsc arch_perfmon bts cpuid aperfmperf pni monitor tm2 xtpr pdcm dtherm

Digikam and Showfoto won’t start anymore. I don’t use them frequently on 32 bit machine so maybe it broke before, it wants library that is nowhere to be found.

showfoto: error while loading shared libraries: libavresample.so.4: cannot open shared object file: No such file or directory


closed #9

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.